-- DurabilityInfos.lua
-- Written by Habna


_G.DI = {}; -- Items Durability Infos table in _G

--**v Control for durability infos v**
DI["Ctr"] = Turbine.UI.Control();
DI["Ctr"]:SetParent( TB["win"] );
--DI["Ctr"]:SetVisible( ShowDurabilityInfos );
DI["Ctr"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
DI["Ctr"]:SetBackColor( Turbine.UI.Color( DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue ) );
--DI["Ctr"]:SetBackColor( Color["red"] ); -- Debug purpose

DI["Ctr"].MouseClick = function( sender, args )
	DI["Lbl"].MouseClick( sender, args );
end
--**^
--**v Durability icon & infos on TitanBar v**
DI["Icon"] = Turbine.UI.Control();
DI["Icon"]:SetParent( DI["Ctr"] );
DI["Icon"]:SetPosition( 5, 7 );
DI["Icon"]:SetSize( 32, 16 );
DI["Icon"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
DI["Icon"]:SetBackground( 0x41007e28 ); -- 0x41007e29
--DI["Icon"]:SetBackColor( Color["blue"] ); -- Debug purpose
	
DI["Icon"].MouseMove = function( sender, args )
	DI["Lbl"].MouseLeave( sender, args );
	if dragging then MoveDICtr(sender, args); end
end

DI["Icon"].MouseLeave = function( sender, args )
	DI["Lbl"].MouseLeave( sender, args );
end

DI["Icon"].MouseClick = function( sender, args )
	DI["Lbl"].MouseClick( sender, args );
end

DI["Icon"].MouseDown = function( sender, args )
	DI["Lbl"].MouseDown( sender, args );
end

DI["Icon"].MouseUp = function( sender, args )
	DI["Lbl"].MouseUp( sender, args );
end


DI["Lbl"] = Turbine.UI.Label();
DI["Lbl"]:SetParent( DI["Ctr"] );
DI["Lbl"]:SetPosition( DI["Icon"]:GetLeft() + DI["Icon"]:GetWidth() + 2, 0 );
--DI["Lbl"]:SetForeColor( Color["white"] );
DI["Lbl"]:SetFontStyle( Turbine.UI.FontStyle.Outline );
DI["Lbl"]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
--DI["Lbl"]:SetBackColor( Color["orange"] ); -- Debug purpose
	
DI["Lbl"].MouseMove = function( sender, args )
	DI["Lbl"].MouseLeave( sender, args );

	if dragging then
		MoveDICtr(sender, args);
	else
		ShowToolTipWin( "DI" );
	end
end

DI["Lbl"].MouseLeave = function( sender, args )
	TB["win"].MouseLeave( sender, args );
end

DI["Lbl"].MouseClick = function( sender, args )
	if ( args.Button == Turbine.UI.MouseButton.Left ) then
		if ( not WasDrag ) then
			if frmDI then
				wDurabilityInfos:Close();
			else
				if frmEI then wEquipInfos:Close(); end
				import (AppCtrD.."DurabilityInfosWindow");
				frmDurabilityInfosWindow();
			end
		end
	elseif ( args.Button == Turbine.UI.MouseButton.Right ) then
		_G.sFromCtr = "DI";
		ControlMenu:ShowMenu();
	end
	WasDrag = false;
end

DI["Lbl"].MouseDown = function( sender, args )
	if ( args.Button == Turbine.UI.MouseButton.Left ) then
		dragStartX = args.X;
		dragStartY = args.Y;
		dragging = true;
	end
end

DI["Lbl"].MouseUp = function( sender, args )
	dragging = false;
	_G.DILocX = DI["Ctr"]:GetLeft();
	SaveSettings();
end
--**

function MoveDICtr(sender, args)
	local CtrLocX = DI["Ctr"]:GetLeft();
	DI["Ctr"]:SetPosition( CtrLocX + ( args.X - dragStartX ), 0);
	WasDrag = true;
end