-- DestinyPoints.lua
-- Written by Habna


_G.SP = {}; -- Shards table in _G

--**v Control of Destiny points v**
SP["Ctr"] = Turbine.UI.Control();
SP["Ctr"]:SetParent( TB["win"] );
--SP["Ctr"]:SetVisible( ShowDestinyPoints );
SP["Ctr"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
SP["Ctr"]:SetBackColor( Turbine.UI.Color( SPbcAlpha, SPbcRed, SPbcGreen, SPbcBlue ) );
--SP["Ctr"]:SetBackColor( Color["red"] ); -- Debug purpose

SP["Ctr"].MouseClick = function( sender, args )
	SP["Lbl"].MouseClick( sender, args )
end
--**^
--**v Destiny points & icon on TitanBar v**
SP["Icon"] = Turbine.UI.Control();
SP["Icon"]:SetParent( SP["Ctr"] );
SP["Icon"]:SetSize( 32, 32 );
SP["Icon"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
SP["Icon"]:SetBackground( 0x41110d5b ); -- in-game Shardcon 
--SP["Icon"]:SetBackColor( Color["blue"] ); -- Debug purpose

SP["Icon"].MouseMove = function( sender, args )
	SP["Lbl"].MouseLeave( sender, args );
	if dragging then MoveSPCtr(sender, args); end
end

SP["Icon"].MouseLeave = function( sender, args )
	SP["Lbl"].MouseLeave( sender, args );
end

SP["Icon"].MouseClick = function( sender, args )
	SP["Lbl"].MouseClick( sender, args );
end

SP["Icon"].MouseDown = function( sender, args )
	SP["Lbl"].MouseDown( sender, args );
end

SP["Icon"].MouseUp = function( sender, args )
	SP["Lbl"].MouseUp( sender, args );
end


SP["Lbl"] = Turbine.UI.Label();
SP["Lbl"]:SetParent( SP["Ctr"] );
SP["Lbl"]:SetPosition( 5, 0 );
--SP["Lbl"]:SetForeColor( Color["white"] );
SP["Lbl"]:SetFontStyle( Turbine.UI.FontStyle.Outline );
SP["Lbl"]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
--SP["Lbl"]:SetBackColor( Color["white"] ); -- Debug purpose

SP["Lbl"].MouseMove = function( sender, args )
	SP["Lbl"].MouseLeave( sender, args );

	if dragging then
		MoveSPCtr(sender, args);
	else
		ShowToolTipWin( "SP" );
	end
end

SP["Lbl"].MouseLeave = function( sender, args )
	TB["win"].MouseLeave( sender, args );
end

SP["Lbl"].MouseClick = function( sender, args )
	if ( args.Button == Turbine.UI.MouseButton.Left ) then
		if ( not WasDrag ) then
			
		end
	elseif ( args.Button == Turbine.UI.MouseButton.Right ) then
		_G.sFromCtr = "SP";
		ControlMenu:ShowMenu();
	end
	WasDrag = false;
end

SP["Lbl"].MouseDown = function( sender, args )
	if ( args.Button == Turbine.UI.MouseButton.Left ) then
		dragStartX = args.X;
		dragStartY = args.Y;
		dragging = true;
	end
end

SP["Lbl"].MouseUp = function( sender, args )
	dragging = false;
	_G.SPLocX = SP["Ctr"]:GetLeft();
	SaveSettings();
end
--**^

function MoveSPCtr(sender, args)
	local CtrLocX = SP["Ctr"]:GetLeft();
	SP["Ctr"]:SetPosition( CtrLocX + ( args.X - dragStartX ), 0);
	WasDrag = true;
end